## org.w3c.jigadm.editors
Class AttributeEditor

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.AttributeEditor

Direct Known Subclasses:
  BooleanAttributeEditor, BooleanAttributeEditor, ClassAttributeEditor, ClassAttributeEditor, DateAttributeEditor, DateAttributeEditor, DispatcherRulesEditor, DoubleAttributeEditor, DoubleAttributeEditor, FileAttributeEditor, FileEditor, HashtableAttributeEditor, HashtableAttributeEditor, IntegerAttributeEditor, IntegerAttributeEditor, LongAttributeEditor, LongAttributeEditor, MimeTypeAttributeEditor, MimeTypeAttributeEditor, PasswordAttributeEditor, PasswordAttributeEditor, SelectEditor, SelectFileEditor, SelectFileEditor, SlideDoubleAttributeEditor, SlideIntegerAttributeEditor, SlideIntegerAttributeEditor, SlideLongAttributeEditor, StepIntegerAttributeEditor, StringArrayEditor, StringArrayEditor, StringAttributeEditor, StringAttributeEditor, StringChoiceEditor, StringChoiceEditor

public abstract class AttributeEditor
extends java.lang.Object
implements AttributeEditorInterface

Field Summary
`protected java.util.Vector` | `als`

Constructor Summary
`AttributeEditor()`

Method Summary
`void` | `addAttributeListener(AttributeListener al)`
`abstract java.awt.Component` | `getComponent()` get the Component created by the editor.
`protected void` | `processEvent(java.util.EventObject eo)`
`void` | `removeAttributeListener(AttributeListener al)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### als

    protected java.util.Vector als

Constructor Detail

### AttributeEditor

    public AttributeEditor()

Method Detail

### addAttributeListener

    public void addAttributeListener(AttributeListener al)

  Specified by:
    addAttributeListener in interface AttributeEditorInterface

### removeAttributeListener

    public void removeAttributeListener(AttributeListener al)

  Specified by:
    removeAttributeListener in interface AttributeEditorInterface

### processEvent

    protected void processEvent(java.util.EventObject eo)

### getComponent

    public abstract java.awt.Component getComponent()

  get the Component created by the editor.
  Returns:
    a Component